package cn.hmsoft.exception.io;

import cn.hmsoft.exception.AppException;

/********************
 * IO错误
 * 
 * @author zxq
 * @create 2019-05-06 08:28:01
 * @version 2.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
public class AppIOException extends AppException {
	private static final long serialVersionUID = 1095732331633449525L;
	private static final int err_code = 10400;

	public AppIOException(String msg) {
		super(err_code, msg);
	}

	public AppIOException(int err_code, String msg) {
		super(err_code, msg);
	}

	public AppIOException(int err_code, String msg, Throwable cause) {
		super(err_code, msg, cause);
	}

	public AppIOException(Throwable cause) {
		super(err_code, cause.getMessage(), cause);
	}

}
